
Figure - Bug #118905
【AF】【EVT】【BT】连接蓝牙设备，蓝牙设备名称与蓝牙设置项的“与新设备配对”字体重叠
2023-06-27 16:17 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2023-06-27

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0114.C106(X106)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: 0722DB

Reproducibility: Every time Fixed Version: 2023-07-20

Test Type: ST Root cause: RecyclerView ItemAnimator 默认动画引起

Description

【前置条件】

副屏上电

【测试步骤】

1.打开设置-蓝牙（已连接的设备）-与新设备配对

2.搜索到可用的设备后，弹框点击配对

【实际结果】

蓝牙设备名称与蓝牙设置项的“与新设备配对”字体重叠

【预期结果】

蓝牙设备名称与蓝牙设置项的“与新设备配对”字体不会重叠

History

#1 - 2023-06-30 17:09 - CD TEST-方永红

- Category set to CD-FW

#2 - 2023-07-06 11:46 - CD FW-廖涛

- Status changed from New to ASSIGNED

■ My analysis

从问题视频现象看，该问题不是文字重叠问题，是在动画的执行过程中卡顿，导致视觉上表现为文字重叠。且该问题为小概率性出现。

■ Next action

1. 分析动画执行卡顿原因；

2. 优化选项展示动画；

#3 - 2023-07-20 11:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

213548 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Remove item animator of RecyclerView.TC-RID: 1201-0201813IssueID: TS-R-BUG-118905, IOVDEV-37488Change-Id:

I7deb8a40dfb6d91bbda26ae830726c6a8e870942
#4 - 2023-07-20 11:29 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-07-20

- Root cause set to RecyclerView ItemAnimator 默认动画引起

■ Current conclusion

已处理，代码已入库。

■ My analysis

问题为 RecyclerView ItemAnimator 默认动画引起，解决方式是去除其默认动画。

■ Next action

测试验证。

#5 - 2023-07-24 14:01 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0722DB

7.24

在0722DB上验证通过

#6 - 2023-07-24 14:02 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2023-07-27 23:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

218252 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:Settings: Remove item animator of RecyclerView.TC-RID: 1201-0201813IssueID: TS-R-BUG-118905, IOVDEV-37488Change-Id:

I7deb8a40dfb6d91bbda26ae830726c6a8e870942(cherry picked from commit f6c822a84950b314183ebd5a225b78d25ab4dc0e)

Files

logcat.txt 5.36 MB 2023-06-27 SZTS_TEST 邹涛

tlog_ac9b5d21_000105_0627003211.tar.gz 15.5 MB 2023-06-27 SZTS_TEST 邹涛

20230627-161454.mp4 2.46 MB 2023-06-27 SZTS_TEST 邹涛

中科创达软件股份有限公司20230627-161413.mp4 11.3 MB 2023-06-27 SZTS_TEST 邹涛
